## org.apache.axis.message
Interface MessageWithAttachments

public interface MessageWithAttachments

Author:
  James Snell (jasnell@us.ibm.com)

Method Summary
`java.lang.Object` `getAttachment(int index)`
`java.lang.Object` `getAttachment(java.lang.String id)`
`java.util.Hashtable` `getAttachments()`
`boolean` `hasAttachments()`

Method Detail

### hasAttachments

    public boolean hasAttachments()

### getAttachments

    public java.util.Hashtable getAttachments()

### getAttachment

    public java.lang.Object getAttachment(java.lang.String id)

### getAttachment

    public java.lang.Object getAttachment(int index)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.